from .models import Role


class RoleService:
    @staticmethod
    def get_roles():
        roles = Role.query.all()
        return [{"id": r.id, "name": r.name} for r in roles]

    @staticmethod
    def get_role_by_id(role_id):
        return Role.query.filter_by(id=role_id).first()
